﻿.button_hidden {
    opacity:0.2;
    cursor:default;
}

/*SWITCH BUTTON*/ 
.switchWidget_btn {
    width: 4rem;
    height: 2rem;
    background-color: darkgray;
    border-radius: 2rem;
    box-shadow: 0.1rem 0.1rem 0.5rem rgba(1,1,1,0.5);
    position: relative;
}

.switchWidget_btn_on {
    width: 100%;
    height: 90%;
    background-color: lightgreen;
    border-radius: 2rem;
    border: 0.1rem solid rgba(1,1,1,0.5);
    position: relative;
}

.switchWidget_btn_on_spia_on {
    width: 50%;
    height: 100%;
    border: 0.1rem solid rgba(1,1,1,0.5);
    border-radius: 1.8rem;
    background-color: darkgray;
    transition: all 3s ease-in-out;
    position: absolute;
    left: 78%;
    top: 50%;
    transform: translate(-50%,-50%);
}

.switchWidget_btn_off {
    width: 100%;
    height: 90%;
    background-color: red;
    border-radius: 2rem;
    border: 0.1rem solid rgba(1,1,1,0.5);
    position: relative;
}

.switchWidget_btn_off_spia_off {
    width: 50%;
    height: 100%;
    border: 0.1rem solid rgba(1,1,1,0.5);
    border-radius: 1.8rem;
    background-color: darkgrey;
    transition: all 3s ease-in-out;
    position: absolute;
    left: 22%;
    top: 50%;
    transform: translate(-50%,-50%);
}


/* BUTTON AUTENTICAZIONE USER LIST */

.btn_userlist {
    font-family: Open Sans, Helvetica, Arial, sans-serif;
    float: right;
    margin-left: 0.5rem;
}

.confirm {
    box-shadow:  #000 0 -1px 7px 1px, inset #460 0 -1px 9px, #7D0 0 2px 12px;
    
}
